stages:
  - lint
  - build
  - tag

.lint:
  stage: lint
  script: ["true"]
  allow_failure: true

mega-linter:
  extends: .lint
  image: registry.cern.ch/docker.io/oxsecurity/megalinter-ci_light
  variables:
    DEFAULT_WORKSPACE: $CI_PROJECT_DIR

.build:
  stage: build
  trigger:
    include:
      - project: ci-tools/docker-builder
        file: /ci.yml
    strategy: depend
  variables:
    BUILD_AARCH64: "false"
    BUILD_ARG_1: BUILD_TIME=$(date)
    BUILD_ARG_2: COMMIT_SHORT_SHA=$CI_COMMIT_SHORT_SHA

build:
  extends: .build
  variables:
    TO: "${CI_REGISTRY_IMAGE}/${CI_PROJECT_TITLE}"

.tag:
  stage: tag
  image: gitlab-registry.cern.ch/ci-tools/docker-builder/tools
  variables:
    GIT_STRATEGY: none
  dependencies: []

tag:
  extends: .tag
  needs:
    - build
  script:
    - /kaniko/auth.sh
    - crane tag "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}:$CI_COMMIT_SHORT_SHA" "latest"
    - crane validate --remote "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}:latest"
  only:
    - master
    - main
